//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ALS.ALSI.Biz.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class template_16_component
    {
        public template_16_component()
        {
            this.template_16_detail_spec = new HashSet<template_16_detail_spec>();
            this.template_16_coverpage = new HashSet<template_16_coverpage>();
        }
    
        public int ID { get; set; }
        public string A { get; set; }
        public string B { get; set; }
        public string C { get; set; }
        public string D { get; set; }
    
        public virtual ICollection<template_16_detail_spec> template_16_detail_spec { get; set; }
        public virtual ICollection<template_16_coverpage> template_16_coverpage { get; set; }
    }
}
